/* label fix, only for top level items */
ul.config-option-list > li > label {
	width: 135px;
	word-wrap: break-word;
}

.adminform > .control-group > .control-label {
	width: 135px;
	word-wrap: break-word;
}

.com-rsfirewall-float-left {
	float: left;
}

.icon-48-rsfirewall
{
	background-image: url(../images/icon-48-rsfirewall.png);
}

/* configuration checkboxes hack */
#jform_blocked_countries ul,
#jform_blocked_countries_checkall ul,
#jform_blocked_continents ul {
	list-style-type: none;
	margin: 0px;
}

#jform_blocked_countries ul li input,
#jform_blocked_countries_checkall ul li input,
#jform_blocked_continents ul li input {
	margin: 0 5px 5px 0;
}

#jform_blocked_countries ul li label,
#jform_blocked_countries_checkall ul li label,
#jform_blocked_continents ul li label {
	margin: 0;
}

.text label {
	font-size: 120%;
	font-weight: bold;
}

.com-rsfirewall-icon-16-loading {
	background: url(../images/icon-16-loading.gif) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
}

.com-rsfirewall-icon-16-grade {
	background: url(../images/icon-16-grade.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-firewall {
	background: url(../images/icon-16-rsfirewall.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-joomla {
	background: url(../images/icon-16-joomla.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-server {
	background: url(../images/icon-16-server.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-filescan {
	background: url(../images/icon-16-filescan.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-database {
	background: url(../images/icon-16-database.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: block;
	float: left;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-folder {
	background: url(../images/icon-16-folder.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: inline-block;
	margin-right: 4px;
}

.com-rsfirewall-icon-16-file {
	background: url(../images/icon-16-file.png) no-repeat left center;
	width: 16px;
	height: 16px;
	display: inline-block;
	margin-right: 4px;
}

.com-rsfirewall-current-item {
	background-image: url(../images/icon-16-rightarr.png);
	background-repeat: no-repeat;
	background-position: left center;
	padding-left: 20px;
}

.com-rsfirewall-hidden {
	display: none !important;
}

.com-rsfirewall-ok {
	background: url(../images/icon-16-ok.png) no-repeat left center;
	padding-left: 20px;
	color: #779E00;
}

.com-rsfirewall-not-ok {
	background: url(../images/icon-16-not-ok.png) no-repeat left center;
	padding-left: 20px;
	color: #FF6633;
	font-weight: bold;
}

.com-rsfirewall-notice {
	background: url(../images/icon-16-notice.png) no-repeat left center;
	padding: 1px 0 1px 20px;
	color: #DBA400;
	font-weight: bold;
}

.com-rsfirewall-error {
	background: #FFECE5;
	color: #FF6633;
	padding: 5px;
}

.com-rsfirewall-log-error {
	background: #FFECE5;
	color: #FF6633;
	padding: 10px;
}

.com-rsfirewall-log-warning {
	background: #fcf8e3;
	color: #c09853;
	padding: 10px;
}

.com-rsfirewall-log-message {
	display:none;
	margin:10px 0;
}
.com-rsfirewall-log-message h3 {
	font-size: 18px;
	margin: 5px 0;
}

.com-rsfirewall-button {
	display: inline-block;
	background: #459300 url(../images/bg-button-green.gif) top left repeat-x !important;
	border: 1px solid #459300 !important;
	padding: 2px;
	color: #fff !important;
	cursor: pointer;
	margin: 0;
	-webkit-border-radius: 5px;
     -moz-border-radius: 5px;
          border-radius: 5px;
}
.com-rsfirewall-button.btn-processing{
	background: #FFAA4F !important;
	background-image: none !important;
	border-color: #FFAA4F !important;
}
.com-rsfirewall-button.btn-success{
	background: #459300 url(../images/bg-button-green.gif) top left repeat-x !important;
	border-color: #459300 !important;
}
.com-rsfirewall-button.btn-failed{
	background: #E3425D !important;
	background-image: none !important;
	border-color: #E3425D !important;
}

.com-rsfirewall-button .expand {
	background: url(../images/icon-16-downarrow.png) no-repeat center;
	width: 16px;
	height: 16px;
	display: block;
}

.com-rsfirewall-button .shrink {
	background: url(../images/icon-16-uparrow.png) no-repeat center;
	width: 16px;
	height: 16px;
	display: block;
}

.com-rsfirewall-button .fix {
	background: url(../images/icon-18-fix.png) no-repeat center;
	width: 18px;
	height: 18px;
	display: block;
}

.com-rsfirewall-file-manager-box {
	float: left;
	width: 100%;
}

.com-rsfirewall-file-manager-box textarea {
	width: 98%;
}

.com-rsfirewall-loader-wrapper {
	display: inline-block;
}

table.com-rsfirewall-colored-table tr th {
	background: #F2F2F2;
}

table.com-rsfirewall-colored-table tr td, table.com-rsfirewall-colored-table tr th {
	font-family: Consolas, "Liberation Mono", Courier, monospace;
}

table.com-rsfirewall-colored-table tr.blue td {
	background: #F5F7FF;
	color: #333333;
}

table.com-rsfirewall-colored-table tr.yellow td {
	background: #FFFBEB;
	color: #333333;
}

table.com-rsfirewall-colored-table tr td.broken-word {
	word-break: break-all;
}



.com-rsfirewall-striped {
  width: 100%;
  margin-bottom: 20px;
}

.com-rsfirewall-striped td:first-child {
	width:5%;
}

.com-rsfirewall-striped th,
.com-rsfirewall-striped td {
  padding: 8px;
  line-height: 20px;
  text-align: left;
  vertical-align: top;
  border-top: 1px solid #dddddd;
}
.com-rsfirewall-striped td label {
	display:inline;
}

.com-rsfirewall-striped th {
  font-weight: bold;
}

.com-rsfirewall-striped thead th {
  vertical-align: bottom;
}

.com-rsfirewall-striped caption + thead tr:first-child th,
.com-rsfirewall-striped caption + thead tr:first-child td,
.com-rsfirewall-striped colgroup + thead tr:first-child th,
.com-rsfirewall-striped colgroup + thead tr:first-child td,
.com-rsfirewall-striped thead:first-child tr:first-child th,
.com-rsfirewall-striped thead:first-child tr:first-child td {
  border-top: 0;
}

.com-rsfirewall-striped tbody + tbody {
  border-top: 2px solid #dddddd;
}

.com-rsfirewall-striped .com-rsfirewall-striped {
  background-color: #ffffff;
}

.com-rsfirewall-striped.table-striped tbody > tr:nth-child(odd) > td,
.com-rsfirewall-striped.table-striped tbody > tr:nth-child(odd) > th {
  background-color: #f9f9f9;
}

/* outer */
.com-rsfirewall-progress {
  height: 20px;
  margin-bottom: 20px;
  overflow: hidden;
  background-color: #f7f7f7;
  background-image: -moz-linear-gradient(top, #f5f5f5, #f9f9f9);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f5f5f5), to(#f9f9f9));
  background-image: -webkit-linear-gradient(top, #f5f5f5, #f9f9f9);
  background-image: -o-linear-gradient(top, #f5f5f5, #f9f9f9);
  background-image: linear-gradient(to bottom, #f5f5f5, #f9f9f9);
  background-repeat: repeat-x;
  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;
  filter: progid:dximagetransform.microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#fff9f9f9', GradientType=0);
  -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
     -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
          box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
}

/* inner */
.com-rsfirewall-progress .com-rsfirewall-bar {
	line-height: 20px;
	padding-right: 10px;
  float: left;
  width: 0;
  height: 100%;
  font-size: 12px;
  color: #ffffff;
  text-align: right;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
  background-color: #0e90d2;
  background-image: -moz-linear-gradient(top, #149bdf, #0480be);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#149bdf), to(#0480be));
  background-image: -webkit-linear-gradient(top, #149bdf, #0480be);
  background-image: -o-linear-gradient(top, #149bdf, #0480be);
  background-image: linear-gradient(to bottom, #149bdf, #0480be);
  background-repeat: repeat-x;
  filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ff149bdf', endColorstr='#ff0480be', GradientType=0);
  -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
     -moz-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
          box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  -webkit-transition: width 0.6s ease;
     -moz-transition: width 0.6s ease;
       -o-transition: width 0.6s ease;
          transition: width 0.6s ease;
}

pre#com-rsfirewall-php-ini {
	background-color: #F7F7F9;
	border: 1px solid #E1E1E8;
	color: #48484C;
	padding: 8px;
}

#com-rsfirewall-scan-in-progress {
	font-size: 150%;
	background: url(../images/icon-50-loading.gif) no-repeat left center;
	height: 50px;
	line-height: 50px;
	padding-left: 55px;
}

.com-rsfirewall-clear {
	display: block;
	clear: both;
	margin-top: 5px;
	margin-bottom: 5px;
}

.com-rsfirewall-tooltip {
	border: solid 1px #F5C070;
	background-color: #FDF2E2;
	background-image: url(../images/info.png);
	background-repeat: no-repeat;
	background-position: 10px 5px;
	margin: 0 10px 10px;
	padding: 5px;
	padding-left: 74px;
	min-height: 48px;
}

#com-rsfirewall-explorer {
	padding: 4px;
}

#com-rsfirewall-explorer-header {
	text-align: left;
	background: #FFF9E5;
	padding: 5px;
}

#com-rsfirewall-explorer ul {
	list-style-type: none;
	margin: 0;
	padding: 3px;
}

#com-rsfirewall-explorer ul li {
	padding: 3px;
	clear: both;
}

#com-rsfirewall-explorer ul li label {
	display: inline;
}

.com-rsfirewall-level-low {
	color: green;
}

.com-rsfirewall-level-medium {
	color: orange;
}

.com-rsfirewall-level-high {
	color: red;
}

.com-rsfirewall-level-critical {
	color: black;
	font-weight: bold;
}

.com-rsfirewall-list-type-0 {
	color: black;
	font-weight: bold;
	border-left: 2px solid black !important;
}

.com-rsfirewall-list-type-1 {
	color: green;
	font-weight: bold;
	border-left: 2px solid green !important;
}

/* new style */
#com-rsfirewall-grade {
	padding: 10px;
	width: 370px;
	background: #F5F5F5;
	border: 1px solid #E3E3E3;
	overflow: hidden;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	margin-bottom: 10px;
	
	box-shadow:inset 0 1px 1px #ccc,0 1px 2px #ccc,0 0px 0px 1px #f3f3f2;
	-webkit-box-shadow:inset 0 1px 1px #ccc,0 1px 2px #ccc,0 0px 0px 1px #f3f3f2;
	-moz-box-shadow:inset 0 1px 1px #ccc,0 1px 2px #ccc,0 0px 0px 1px #f3f3f2;
}

#com-rsfirewall-grade p {
	display: inline;
	width: 265px;
	float: left;
	margin: 0;
	padding: 0 8px 0 0;
	font-size: 12px;
}

.com-rsfirewall-content-box {
	border: 1px solid #ccc;
	margin: 0 0 20px 0;
	background: #fff;
}

.com-rsfirewall-content-box-header {
	background: #e5e5e5 url(../images/bg-content-box.gif) top left repeat-x;
	margin-top: 1px;
	height: 40px;
}

.com-rsfirewall-content-box-header h3 {
	padding: 12px 15px 10px;
	margin: 0;
	float: left;
	font-size: 15px;
}

.com-rsfirewall-content-box-content {
	padding: 20px;
	font-size: 13px;
	border-top: 1px solid #ccc;
}

#com-rsfirewall-main-content table {
	width: 100%;
	border-collapse: collapse;
}

#com-rsfirewall-main-content table thead th {
	font-weight: bold;
	font-size: 15px;
	border-bottom: 1px solid #ddd;
}

#com-rsfirewall-main-content tbody {
	border-bottom: 1px solid #ddd;
}

#com-rsfirewall-main-content tbody tr {
	background: #fff;
}

#com-rsfirewall-main-content tbody tr.alt-row {
	background: #f3f3f3;
}
#com-rsfirewall-main-content table td,
#com-rsfirewall-main-content table th {
	padding: 10px;
	line-height: 1.3em;
}

.com-rsfirewall-break-word {
	word-wrap: break-word;
	-ms-word-break: break-all;
	word-break: break-all;
	word-break: break-word;
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	hyphens: auto;
}

/* dashboard about box */
#dashboard-left {
	float: left;
	width: 74%;
	padding-right: 1%;
	overflow: hidden;
}

#dashboard-right {
	float: left;
	width: 25%;
}
.dashboard-container {
    width: 100%;
	overflow: hidden;
}

.dashboard-container:before,
.dashboard-container:after {
	display: table;
	content: "";
}

.dashboard-container:after {
	clear: both;
}

.dashboard-info {
	font-size: 12px;
	color: #333;
	display:block;
	padding:10px;
	background: rgb(255,255,255); /* Old browsers */
	background: -moz-linear-gradient(top, rgba(255, 255, 255, 1) 0%, rgba(246, 246, 246, 1) 47%, rgba(237, 237, 237, 1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(255, 255, 255, 1)), color-stop(47%, rgba(246, 246, 246, 1)), color-stop(100%, rgba(237, 237, 237, 1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top, rgba(255, 255, 255, 1) 0%, rgba(246, 246, 246, 1) 47%, rgba(237, 237, 237, 1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top, rgba(255, 255, 255, 1) 0%, rgba(246, 246, 246, 1) 47%, rgba(237, 237, 237, 1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top, rgba(255, 255, 255, 1) 0%, rgba(246, 246, 246, 1) 47%, rgba(237, 237, 237, 1) 100%); /* IE10+ */
	background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(246, 246, 246, 1) 47%, rgba(237, 237, 237, 1) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ededed', GradientType=0 ); /* IE6-9 */
	border:#d8d8d8 1px solid;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	-moz-box-shadow: 0 0 4px rgba(000, 000, 000, 0.1) inset;
	-webkit-box-shadow:0 0 4px rgba(000, 000, 000, 0.1) inset;
	box-shadow: 0 0 3px rgba(000, 000, 000, 0.1) inset;
	
	text-align: center;
}

.dashboard-info img {
	margin: 0 auto;
}

.dashboard-table {
	width: 100%;
	border-top: solid 1px #ddd;
	margin-top: 5px;
}

.dashboard-info td {
	padding: 2px;
}

.correct-code {
	background: green;
	color: white;
}

.incorrect-code {
	background: red;
	color: white;
}

.missing-code {
	background: orange;
}

.missing-code a {
	color: white !important;
}

/* Diff table styling */
table.diff {
	border-collapse: collapse;
    border-spacing: 0;
    margin: 0 auto 1.5em;
}

.diff th {
	color: #fff;
}

.diff th:last-child {
	background: #990000;
}

.diff th:first-child {
	background: #009900;
}

.diff td, .diff th {
	padding:0 0.667em;
	vertical-align:top;
	white-space:pre;
	white-space:pre-wrap;
	font-family:Consolas,'Courier New',Courier,monospace;
	font-size:1em;
	line-height:1.333;
}

.diff span {
	display:block;
	min-height:1.333em;
	margin-top:-1px;
	padding:0 3px;
}

* html .diff span{
	height:1.333em;
}

.diff span:first-child {
	margin-top:0;
}

.diffDeleted span {
	border:1px solid rgb(255,192,192);
	background:rgb(255,224,224);
}

.diffInserted span {
	border:1px solid rgb(192,255,192);
	background:rgb(224,255,224);
}

/* Portrait tablet to landscape and desktop */
@media (min-width: 768px) and (max-width: 979px) {
	#dashboard-left {
		float: none;
		width: 100%;
	}

	#dashboard-right {
		float: none;
		width: 100%;
	}
}
 
/* Landscape phone to portrait tablet */
@media (max-width: 767px) {
	#dashboard-left {
		float: none;
		width: 100%;
	}

	#dashboard-right {
		float: none;
		width: 100%;
	}
}
 
/* Landscape phones and down */
@media (max-width: 480px) {
	#dashboard-left {
		float: none;
		width: 100%;
	}

	#dashboard-right {
		float: none;
		width: 100%;
	}
}